{ config, ... }:

{
  imports = [
    ./stalwart.nix
  ];

  mine.shared.meta.stalwart = {
    name = "Stalwart Mail";
    description = ''
        We host our own mailserver, which can be reached on ${config.mine.shared.settings.mail.domain} with your LDAP username and password.
        From here encryption-at-rest can be setup with either OpenPGP or S/MIME. Keep in mind, Change Password, Two-factor Auth and App Passwords
        do not work, as we are using LDAP for authentication instead.
    '';

    url = "https://${config.mine.shared.settings.mail.domain}";

    package = let
      pkg = config.services.stalwart-mail.package;
    in {
      name = pkg.pname;
      version = pkg.version;
      meta = pkg.meta;
    };
  };
}
